#!/bin/bash
#SBATCH --time=00:30:00
#SBATCH --qos=debug
#SBATCH -N 1
#SBATCH --gpus-per-node=4
#SBATCH -C gpu
#SBATCH ntrain
#SBATCH --reservation=beast_day2

module use /global/cfs/cdirs/m4025/Software/Perlmutter/modules
module load beast-tutorial
module swap PrgEnv-gnu PrgEnv-nvhpc
export OMP_NUM_THREADS=1

direcs=( 6.0 6.5 7.0 7.5 8.0 8.5 )
for d in "${direcs[@]}"; do
  echo Entering $d directory
  cd $d
  echo "  Running BGW epsilon job"
  srun -n 4 -c 16 epsilon.cplx.x &> ./out
  echo "  Done!"
  echo ""
  cd ../
done
module swap PrgEnv-nvhpc PrgEnv-gnu

